[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# TPascalHelpContextList.Clear

Clears the Items in the list of Pascal help contexts.

## Declaration

Source position: lazhelpintf.pas line 70

`public procedure TPascalHelpContextList.Clear;`

## Description

Clear is a procedure used to clear the list of TPascalHelpContext instances in the Items for the list. Clear iterates over the positions in Items, and sets the Context string for each item to an empty string (''). This allows the record instance to be finalized. Clear calls ReAllocMem to sets the length of the Items property to 0 (zero).

## See also

TPascalHelpContextList.Items |  | Provides indexed access to help contexts in the List by ordinal position.
TPascalHelpContextList.List |  | Pointer to the initial help context stored in the list.
TPascalHelpContext |  | Record type used to represent a Pascal help context and its descriptor.